Draft Rectangle

From FreeCAD Documentation
Revision as of 09:20, 30 March 2021 by Roy 043 (talk | contribs)
This documentation is a work in progress. Please don't mark it as translatable since it will change in the next hours and days.

Draft Rectangle

Menu location
Drafting → Rectangle
Workbenches
Draft, Arch
Default shortcut
R E
Introduced in version
0.7
See also
None

Description

The Draft Rectangle command creates a rectangle by picking two points. It uses the Draft Linestyle set on the Draft Tray.

Rectangle defined by the two corner points

Usage

  1. There are several ways to invoke the command:
    • Press the Draft Rectangle button.
    • Select the Drafting → Rectangle option from the menu.
    • Use the keyboard shortcut: R then E.
  2. Click the first corner point in the 3D view, or type coordinates and press the Enter point button.
  3. Click the opposite corner point in the 3D view, or type coordinates and press the Enter point button. This point must not be constrained to the X, Y or Z axis, or the resulting rectangle will be malformed.

Options

  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the Enter point button when you have the desired values to insert the point.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first one; if not, they are absolute, taken from the origin (0,0,0).
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Rectangle command will restart after you give the second point, allowing you to draw another rectangle without pressing the command button again.
  • Press L or click the checkbox to toggle filled mode. If filled mode is on, the rectangle will create a filled face (DataMake Face true); if not, the rectangle will not make a face (DataMake Face false).
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press Esc or the Close button to abort the current command.

Notes

  • A Draft Rectangle can be edited with the Draft Edit command.

Properties

See also: Property editor.

A Draft Rectangle object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

  • DataArea (Area): (read-only) specifies the area of the face of the rectangle. The value will be 0.0 if DataMake Face if false.
  • DataChamfer Size (Length): specifies the length of the chamfers at the corners of the rectangle.
  • DataColumns (Integer): specifies the number of equal-sized columns in which the rectangle is divided.
  • DataFillet Radius (Length): specifies the radius of the fillets at the corners of the rectangle.
  • DataHeight (Distance): specifies the height of the rectangle.
  • DataLength (Distance): specifies the length of the rectangle.
  • DataMake Face (Bool): specifies if the rectangle makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object.
  • DataRows (Integer): specifies the number of equal-sized rows in which the rectangle is divided.

View

Draft

  • ViewPattern (Enumeration): specifies the Draft Pattern with which to fill the face of the rectangle. This property only works if DataMake Face is true and if ViewDisplay Mode is Flat Lines.
  • ViewPattern Size (Float): specifies the size of the Draft Pattern.
  • ViewTexture Image (File): specifies the path of the image file to be mapped onto the face of the rectangle. Blanking this property will remove the image. The rectangle should have the same proportions as the image to avoid distortions.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Rectangle use the make_rectangle method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeRectangle method.

rectangle = make_rectangle(length, height, placement=None, face=None, support=None)
  • Creates a rectangle object with length in the X direction and height in the Y direction, with units in millimeters.
  • If placement is None the shape is created at the origin and the length will be parallel to the X axis.
  • If face is True, the shape will make a face, that is, it will appear filled.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle1 = Draft.make_rectangle(4000, 1000)
rectangle2 = Draft.make_rectangle(1000, 4000)

zaxis = App.Vector(0, 0, 1)
p3 = App.Vector(1000, 1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 45))

rectangle3 = Draft.make_rectangle(3500, 250, placement=place3)

doc.recompute()